nick_sdk_client.SDK.initialize();

nick_sdk.setGameEventHandler(function (event) {

    // Checking if CocoonJs is available
    // Reference: https://stackoverflow.com/questions/31082120/how-to-detect-if-web-app-is-wrapped-by-cocoonjs
    var isCocoon = ( typeof navigator !== 'undefined' && typeof navigator['isCocoonJS'] !== 'undefined' );

    if (isCocoon) {
        console.log("CocoonJS Java bridge is available ...");
        CocoonJS.nativeCall(event);

        return;
    }

    // Checking if WebView Bridge is available
    var isWebView = ( typeof webViewBridge !== "undefined" && webViewBridge && webViewBridge.nativeCall );

    if (isWebView) {
        console.log("WebViewBridge Java bridge is available ...");
        webViewBridge.nativeCall(JSON.stringify(event));

        return;
    }

    // Checking if CrossWalk Bridge Bridge is available
    var isCrossWalkView = ( typeof crossWalkViewBridge !== "undefined" && crossWalkViewBridge && crossWalkViewBridge.nativeCall );

    if (isCrossWalkView) {
        console.log("crossWalkViewBridge Java bridge is available ...");
        crossWalkViewBridge.nativeCall(JSON.stringify(event));

        return;
    }

    console.warn("No Java bridges are available, unable to emit JavaScript report events!!!");
});